<lib-condensed-header-layout
  *transloco="let t"
  [pageTitle]="t('feature_funfair.arrival_stay.title')"
  [showBackButton]="true"
  [useMaximumBackground]="true"
  class="ion-page"
>
  <div class="flex-list-medium content">
    <div *ngFor="let section of sections; let i = index" class="section">
      <p>{{ t(section.content) }}</p>
      <lib-action-button-bar
        [actions]="[
          {
            label: t('feature_funfair.buttons.in_browser'),
            icon: 'open_in_new',
            linkUrl: section.linkUrl,
          },
          {
            label: t('feature_funfair.buttons.share'),
            onClick: shareLink.bind(this, section.linkUrl),
            icon: 'share',
          },
        ]"
      >
      </lib-action-button-bar>
    </div>
    <div>
      <div class="flex-list-minor">
        <h2>{{ t('feature_funfair.arrival_stay.special_timetable.title') }}</h2>
        <div class="section">
          <h4>
            {{
              t('feature_funfair.arrival_stay.special_timetable.trains_title')
            }}
          </h4>
          <lib-action-button-bar
            [actions]="[
              {
                label: t(
                  'feature_funfair.arrival_stay.special_timetable.timetable'
                ),
                icon: 'open_in_new',
                onClick: openPDF.bind(
                  this,
                  'assets/feature-funfair/timetables/train/24-Plakat-Zugverbindungen.pdf'
                ),
              },
            ]"
          >
          </lib-action-button-bar>
        </div>
        <div
          *ngFor="let timetable of specialBusTimetables | keyvalue"
          class="section"
        >
          <h4>{{ timetable.key }}</h4>
          <lib-action-button-bar
            [actions]="[
              {
                label: t(
                  'feature_funfair.arrival_stay.special_timetable.timetable'
                ),
                icon: 'open_in_new',
                onClick: openPDF.bind(this, timetable.value.file),
              },
            ]"
          >
          </lib-action-button-bar>
        </div>
      </div>
    </div>

    <div class="flex-list-minor">
      <div class="section">
        <h2>
          {{ t('feature_funfair.arrival_stay.connection_information.title') }}
        </h2>
        <p>
          {{ t('feature_funfair.arrival_stay.connection_information.text') }}
        </p>
        <lib-action-button-bar
          [actions]="[
            {
              label: t('feature_funfair.buttons.in_browser'),
              icon: 'open_in_new',
              linkUrl:
                'https://www.rlg-online.de/fahrgast/fahrt-planen/verbindungsauskunft',
            },
            {
              label: t('feature_funfair.buttons.share'),
              onClick: shareLink.bind(
                this,
                'https://www.rlg-online.de/fahrgast/fahrt-planen/verbindungsauskunft'
              ),
              icon: 'share',
            },
          ]"
        >
        </lib-action-button-bar>
      </div>
    </div>

    <div class="flex-list-minor">
      <div class="section">
        <h2>{{ t('feature_funfair.arrival_stay.mobile_info_app.title') }}</h2>
        <p>{{ t('feature_funfair.arrival_stay.mobile_info_app.text') }}</p>
        <lib-action-button-bar
          [actions]="[
            {
              label: t('feature_funfair.buttons.in_browser'),
              icon: 'open_in_new',
              linkUrl: mobileInfoUrl,
            },
            {
              label: t('feature_funfair.buttons.share'),
              onClick: shareLink.bind(this, mobileInfoUrl),
              icon: 'share',
            },
          ]"
        >
        </lib-action-button-bar>
      </div>
    </div>

    <div class="flex-list-minor">
      <div class="section">
        <h2>{{ t('feature_funfair.arrival_stay.park_ride.title') }}</h2>
        <p>{{ t('feature_funfair.arrival_stay.park_ride.text') }}</p>
        <p [innerHTML]="t('feature_funfair.arrival_stay.park_ride.times')"></p>
        <lib-action-button-bar
          [actions]="[
            {
              label: t('feature_funfair.buttons.in_browser'),
              icon: 'open_in_new',
              linkUrl:
                'https://www.rlg-online.de/fahrgast/aktuelles/soester-allerheiligenkirmes#c20106',
            },
            {
              label: t('feature_funfair.buttons.share'),
              onClick: shareLink.bind(
                this,
                'https://www.rlg-online.de/fahrgast/aktuelles/soester-allerheiligenkirmes#c20106'
              ),
              icon: 'share',
            },
          ]"
        >
        </lib-action-button-bar>
      </div>
    </div>

    <div class="flex-list-minor">
      <div class="section">
        <h2>{{ t('feature_funfair.arrival_stay.specialties.title') }}</h2>
        <p>{{ t('feature_funfair.arrival_stay.specialties.text') }}</p>
        <lib-action-button-bar
          [actions]="[
            {
              label: t('feature_funfair.buttons.in_browser'),
              icon: 'open_in_new',
              linkUrl:
                'https://www.rlg-online.de/fahrgast/aktuelles/soester-allerheiligenkirmes#c20163',
            },
            {
              label: t('feature_funfair.buttons.share'),
              onClick: shareLink.bind(
                this,
                'https://www.rlg-online.de/fahrgast/aktuelles/soester-allerheiligenkirmes#c20163'
              ),
              icon: 'share',
            },
          ]"
        >
        </lib-action-button-bar>
      </div>
    </div>

    <div class="flex-list-feed-items">
      <div>
        <p class="cards-title">
          {{ t('feature_funfair.arrival_stay.rlg_card.title') }}
        </p>
      </div>
      <div class="rlg-card">
        <div class="image-container">
          <img alt="" src="/assets/feature-funfair/images/rlg_logo.png" />
        </div>
        <p
          [innerHTML]="t('feature_funfair.arrival_stay.rlg_card.text_1')"
          class="rlg-content"
        ></p>
        <p
          [innerHTML]="t('feature_funfair.arrival_stay.rlg_card.text_2')"
          class="rlg-content"
        ></p>
        <lib-custom-vertical-button
          [buttonType]="customButtonType.link"
          [colorScheme]="customButtonColorScheme.inherit"
          [externalUrl]="
            'https://www.rlg-online.de/fahrgast/aktuelles/soester-allerheiligenkirmes'
          "
          [startIcon]="'open_in_new'"
          [title]="'rlg-online.de'"
        ></lib-custom-vertical-button>
      </div>
    </div>
  </div>
</lib-condensed-header-layout>
